

kernel/ksysfs.c: In function `hotplug_seqnum_show':
kernel/ksysfs.c:28: warning: long long unsigned int format, u64 arg (arg 3)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-power4-akpm/kernel/ksysfs.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/ksysfs.c~ksysfs-warning-fix kernel/ksysfs.c
--- 25-power4/kernel/ksysfs.c~ksysfs-warning-fix	2004-09-11 22:04:10.558284160 -0700
+++ 25-power4-akpm/kernel/ksysfs.c	2004-09-11 22:04:22.879411064 -0700
@@ -25,7 +25,7 @@ static struct subsys_attribute _name##_a
 #ifdef CONFIG_HOTPLUG
 static ssize_t hotplug_seqnum_show(struct subsystem *subsys, char *page)
 {
-	return sprintf(page, "%llu\n", hotplug_seqnum);
+	return sprintf(page, "%llu\n", (unsigned long long)hotplug_seqnum);
 }
 KERNEL_ATTR_RO(hotplug_seqnum);
 #endif
_
